Bug 1008962 - Review Request: jboss-concurrency-1.0-api - Concurrency Utilities for JavaEE
Review Request: jboss-concurrency-1.0-api - Concurrency Utilities for JavaEE
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Srb
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1008614
  Show dependency treegraph
 
Reported: 2013-09-17 08:06 EDT by Marek Goldmann
Modified: 2013-09-18 01:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-18 01:01:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msrb: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Michal Srb 2013-09-17 10:22:39 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: Dist tag is present (not strictly required in GL).
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in jboss-
     concurrency-1.0-api-javadoc -- this is OK
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc21.noarch.rpm
          jboss-concurrency-1.0-api-javadoc-1.0.0-0.1.CR1.fc21.noarch.rpm
          jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc21.src.rpm
jboss-concurrency-1.0-api.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jboss-concurrency-1.0-api.noarch: E: incorrect-fsf-address /usr/share/doc/jboss-concurrency-1.0-api/LICENSE
jboss-concurrency-1.0-api-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
jboss-concurrency-1.0-api-javadoc.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jboss-concurrency-1.0-api-javadoc.noarch: E: incorrect-fsf-address /usr/share/doc/jboss-concurrency-1.0-api-javadoc/LICENSE
jboss-concurrency-1.0-api.src: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
3 packages and 0 specfiles checked; 2 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint jboss-concurrency-1.0-api-javadoc jboss-concurrency-1.0-api
jboss-concurrency-1.0-api-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
jboss-concurrency-1.0-api-javadoc.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jboss-concurrency-1.0-api-javadoc.noarch: E: incorrect-fsf-address /usr/share/doc/jboss-concurrency-1.0-api-javadoc/LICENSE
jboss-concurrency-1.0-api.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jboss-concurrency-1.0-api.noarch: E: incorrect-fsf-address /usr/share/doc/jboss-concurrency-1.0-api/LICENSE
2 packages and 0 specfiles checked; 2 errors, 3 warnings.
# echo 'rpmlint-done:'

- URL works


Requires
--------
jboss-concurrency-1.0-api-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

jboss-concurrency-1.0-api (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
jboss-concurrency-1.0-api-javadoc:
    jboss-concurrency-1.0-api-javadoc

jboss-concurrency-1.0-api:
    jboss-concurrency-1.0-api
    mvn(org.jboss.spec.javax.enterprise.concurrent:jboss-concurrency-api_1.0_spec)
    mvn(org.jboss.spec.javax.enterprise.concurrent:jboss-concurrency-api_1.0_spec::sources:)
    osgi(org.jboss.spec.javax.enterprise.concurrent.jboss-concurrency-api_1.0_spec)



Source checksums
----------------
https://github.com/jboss/jboss-javaee-concurrency-api_spec/archive/jboss-concurrency-api_1.0_spec-1.0.0.CR1.tar.gz :
  CHECKSUM(SHA256) this package     : fcd3d542c2f74e0594085672f4a985a99a7936302e9b7b53b403f7e5b36e319b
  CHECKSUM(SHA256) upstream package : fcd3d542c2f74e0594085672f4a985a99a7936302e9b7b53b403f7e5b36e319b


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1008962
Buildroot used: fedora-rawhide-x86_64

There are only two small issues, but you can fix these before importing to git:
- incorrect FSF address in LICENSE file (optional)
- missing 's' in word Classes in package's description

Everything else seems to be in order.

Approved.
Comment 2 Marek Goldmann 2013-09-17 10:27:04 EDT
Thanks, I'll add the missing 's' :)

New Package SCM Request
=======================
Package Name: jboss-concurrency-1.0-api
Short Description: Concurrency Utilities for JavaEE
Owners: goldmann
Branches: f20
Comment 3 Gwyn Ciesla 2013-09-17 10:28:00 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.